--
-- Holy Power Notifier - Tells you when you've got 3 Holy Power.
-- Gilbert - Tichondrius US
--

-- Stop now if the player isn't a Paladin.
if select(2, UnitClass('player')) ~= "PALADIN" then
    DisableAddOn("HolyPowerNotifier")
    return
end

-- Set up our frame
local frame, events = CreateFrame("Frame"), {}
local texture = frame:CreateTexture()
frame:SetPoint("CENTER",0,80)
frame:SetWidth(128)
frame:SetHeight(128)
texture:SetAllPoints(frame)
texture:SetTexture("Interface\\Addons\\HolyPowerNotifier\\holypower.tga")
frame:Hide()

-- Watch for UNIT_POWER events.
function events:UNIT_POWER(source,type)
    -- Make sure its our power, and that it's Holy Power
    if source == "player" and type == "HOLY_POWER" then
	local power = UnitPower("player",9)

	-- Check if it's 3 Holy Power
	if power == 3 then
	    frame:Show()
	else
	    frame:Hide()
	end
    end
end

-- Register our events
frame:SetScript("OnEvent", function(self,event,...) events[event](self,...) end)

for k,v in pairs(events) do
    frame:RegisterEvent(k)
end